## ros-lunar-map-server 1.15.2

=== debian/changelog ===
ros-lunar-map-server (1.15.2-0stretch) stretch; urgency=high

  * Merge pull request #673 <https://github.com/ros-planning/navigation/issues/673> from ros-planning/email_update_lunar
    update maintainer email (lunar)
  * Merge pull request #649 <https://github.com/ros-planning/navigation/issues/649> from aaronhoy/lunar_add_ahoy
    Add myself as a maintainer.
  * Rebase PRs from Indigo/Kinetic (#637 <https://github.com/ros-planning/navigation/issues/637>)
    * Respect planner_frequency intended behavior (#622 <https://github.com/ros-planning/navigation/issues/622>)
    * Only do a getRobotPose when no start pose is given (#628 <https://github.com/ros-planning/navigation/issues/628>)
    Omit the unnecessary call to getRobotPose when the start pose was
    already given, so that move_base can also generate a path in
    situations where getRobotPose would fail.
    This is actually to work around an issue of getRobotPose randomly
    failing.
    * Update gradient_path.cpp (#576 <https://github.com/ros-planning/navigation/issues/576>)
    * Update gradient_path.cpp
    * Update navfn.cpp
    * update to use non deprecated pluginlib macro (#630 <https://github.com/ros-planning/navigation/issues/630>)
    * update to use non deprecated pluginlib macro
    * multiline version as well
    * Print SDL error on IMG_Load failure in server_map (#631 <https://github.com/ros-planning/navigation/issues/631>)
  * Use occupancy values when saving a map (#613 <https://github.com/ros-planning/navigation/issues/613>)
  * Closes #625 <https://github.com/ros-planning/navigation/issues/625> (#627 <https://github.com/ros-planning/navigation/issues/627>)
  * Contributors: Aaron Hoy, David V. Lu!!, Hunter Allen, Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 22 Mar 2018 07:00:00 -0000

ros-lunar-map-server (1.15.1-0stretch) stretch; urgency=high

  * remove offending library export (fixes #612 <https://github.com/ros-planning/navigation/issues/612>)
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 14 Aug 2017 07:00:00 -0000

ros-lunar-map-server (1.15.0-0stretch) stretch; urgency=high

  * Fix compiler warning for GCC 8.
  * convert packages to format2
  * Merge pull request #596 <https://github.com/ros-planning/navigation/issues/596> from ros-planning/lunar_548
  * refactor to not use tf version 1 (#561 <https://github.com/ros-planning/navigation/issues/561>)
  * Fix CMakeLists + package.xmls (#548 <https://github.com/ros-planning/navigation/issues/548>)
  * Merge pull request #560 <https://github.com/ros-planning/navigation/issues/560> from wjwwood/map_server_fixup_cmake
  * update to support Python 2 and 3 (#559 <https://github.com/ros-planning/navigation/issues/559>)
  * remove duplicate and unreferenced file (#558 <https://github.com/ros-planning/navigation/issues/558>)
  * remove trailing whitespace from map_server package (#557 <https://github.com/ros-planning/navigation/issues/557>)
  * fix cmake use of yaml-cpp and sdl / sdl-image
  * Fix CMake warnings
  * Contributors: Hunter L. Allen, Martin Günther, Michael Ferguson, Mikael Arguedas, Vincent Rabaud, William Woodall

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 07 Aug 2017 07:00:00 -0000

ros-lunar-map-server (1.14.0-0stretch) stretch; urgency=high

  * Corrections to alpha channel detection and usage.
    Changing to actually detect whether the image has an alpha channel instead of
    inferring based on the number of channels.
    Also reverting to legacy behavior of trinary mode overriding alpha removal.
    This will cause the alpha channel to be averaged in with the others in trinary
    mode, which is the current behavior before this PR.
  * Removing some trailing whitespace.
  * Use enum to control map interpretation
  * Contributors: Aaron Hoy, David Lu

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 20 May 2016 07:00:00 -0000

ros-lunar-map-server (1.13.1-0stretch) stretch; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 29 Oct 2015 07:00:00 -0000

ros-lunar-map-server (1.13.0-0stretch) stretch; urgency=high

  * rename image_loader library, fixes #208 <https://github.com/ros-planning/navigation/issues/208>
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 17 Mar 2015 07:00:00 -0000

ros-lunar-map-server (1.12.0-0stretch) stretch; urgency=high

  * update maintainer email
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 04 Feb 2015 08:00:00 -0000

ros-lunar-map-server (1.11.15-0stretch) stretch; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 03 Feb 2015 08:00:00 -0000

ros-lunar-map-server (1.11.14-0stretch) stretch; urgency=high

  * prevent inf loop
  * Contributors: Jeremie Deray

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 05 Dec 2014 08:00:00 -0000

ros-lunar-map-server (1.11.13-0stretch) stretch; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 02 Oct 2014 07:00:00 -0000

ros-lunar-map-server (1.11.12-0stretch) stretch; urgency=high

  * map_server: [style] alphabetize dependencies
  * map_server: remove vestigial export line
    the removed line does not do anything in catkin
  * Contributors: William Woodall

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 01 Oct 2014 07:00:00 -0000

ros-lunar-map-server (1.11.11-0stretch) stretch; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 23 Jul 2014 07:00:00 -0000

ros-lunar-map-server (1.11.10-0stretch) stretch; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 25 Jun 2014 07:00:00 -0000

ros-lunar-map-server (1.11.9-0stretch) stretch; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 10 Jun 2014 07:00:00 -0000

ros-lunar-map-server (1.11.8-0stretch) stretch; urgency=high

  * fix build, was broken by #175 <https://github.com/ros-planning/navigation/issues/175>
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 21 May 2014 07:00:00 -0000


